List the full version history of a single criterion, paginated.
Because criterion updates are append-only, this returns one entry per version,
exposing every prior state of the criterion, ordered by version descending
(newest first) by default. The request is rejected if the criterion does not
belong to the rubric named in the path.
GET
/
v5
/
rubrics
/
{rubric_id}
/
criteria
/
{rubric_criteria_id}
/
versions
List criterion versions
curl --request GET \ --url https://api.egp.scale.com/v5/rubrics/{rubric_id}/criteria/{rubric_criteria_id}/versions \ --header 'x-api-key: <api-key>'
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Scale AI","colors":{"primary":"#3f2e7b","light":"#ca62ff","dark":"#3f2e7b"},"logo":{"light":"https://mintcdn.com/scalegp/TBmst1qiYXwYqUB5/logo/light.png?fit=max\u0026auto=format\u0026n=TBmst1qiYXwYqUB5\u0026q=85\u0026s=46027042c16b373ac463148db5ad1d6b","dark":"https://mintcdn.com/scalegp/TBmst1qiYXwYqUB5/logo/dark.png?fit=max\u0026auto=format\u0026n=TBmst1qiYXwYqUB5\u0026q=85\u0026s=02733f39d684d796ec742853eabf0de5"},"favicon":"https://mintcdn.com/scalegp/1vQnbXFkjbQbcgd1/favicon.png?fit=max\u0026auto=format\u0026n=1vQnbXFkjbQbcgd1\u0026q=85\u0026s=f52c84ba46a7cca58551673616dabe9c","background":{"decoration":"windows"},"navbar":{"links":[],"primary":{"type":"button","label":"Platform","href":"https://app.sgp.scale.com/"}},"footer":{"socials":{"x":"https://x.com/scale_ai","facebook":"https://www.facebook.com/scaleapi","linkedin":"https://www.linkedin.com/company/scaleai"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"scalegp","hasAudioNarration":false,"actualSubdomain":"scalegp","customDomains":["docs.gp.scale.com"],"gitSource":{"type":"github","owner":"scaleapi","repo":"sgp-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6abeb90f3a8b8379c1eaf648","collectionId":"437f531c-55bf-41b5-8f5d-4e63781df61e","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6abeb90f3a8b8379c1eaf648"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6abeb90f3a8b8379c1eaf648","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"default","tag":"API Reference","count":235},{"language":"default","tag":"AgentOps API","count":141},{"language":"default","tag":"Guides","count":131},{"language":"default","tag":"Agentex API","count":94},{"language":"default","tag":"Evaluations","count":72},{"language":"default","tag":"Dex API","count":48},{"language":"default","tag":"Agents","count":41},{"language":"default","tag":"Evaluation Datasets","count":34},{"language":"default","tag":"Models","count":32},{"language":"default","tag":"Knowledge Bases","count":31}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"@font-face{font-family:'Aeonik';src:url(https://fonts.gstatic.com/s/inter/v18/UcC73FwrK3iLTeHuS_nVMrMxCp50SjIa1ZL7W0Q5nw.woff2);font-weight:400;font-style:normal;font-display:swap}h1,h2,h3{font-family:'aeonik';letter-spacing:normal!important}"}],"page":{"pagePath":"reference/v5/rubrics/list-criterion-versions","slug":"/reference/v5/rubrics/list-criterion-versions","pageMetadata":{"title":"List criterion versions","description":"List the full version history of a single criterion, paginated.\n\nBecause criterion updates are append-only, this returns one entry per version,\nexposing every prior state of the criterion, ordered by version descending\n(newest first) by default. The request is rejected if the criterion does not\nbelong to the rubric named in the path.","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/rubrics/{rubric_id}/criteria/{rubric_criteria_id}/versions","href":"/reference/v5/rubrics/list-criterion-versions","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"List the full version history of a single criterion, paginated.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Because criterion updates are append-only, this returns one entry per version,\\nexposing every prior state of the criterion, ordered by version descending\\n(newest first) by default. The request is rejected if the criterion does not\\nbelong to the rubric named in the path.\"\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List criterion versions","description":"List the full version history of a single criterion, paginated.\n\nBecause criterion updates are append-only, this returns one entry per version,\nexposing every prior state of the criterion, ordered by version descending\n(newest first) by default. The request is rejected if the criterion does not\nbelong to the rubric named in the path.","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/rubrics/{rubric_id}/criteria/{rubric_criteria_id}/versions","href":"/reference/v5/rubrics/list-criterion-versions","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Rubrics"],"summary":"List criterion versions","description":"List the full version history of a single criterion, paginated.\n\nBecause criterion updates are append-only, this returns one entry per version,\nexposing every prior state of the criterion, ordered by version descending\n(newest first) by default. The request is rejected if the criterion does not\nbelong to the rubric named in the path.","operationId":"GET-V5-/v5/rubrics/rubric_id/criteria/rubric_criteria_id/versions","security":["25c6ab98-f3e9-464c-b34d-48782661236d"],"parameters":["db748820-7222-4a19-8fa0-520fb5fe8c55","88bad4c6-2ea6-445a-a3dd-555722f3739c","0d31feb3-ffc7-4537-99db-fd5c8294dd77","058cde99-20aa-4280-8eef-06b972b5cd03","c6f79a33-6901-4a0f-942b-82d7b51aad43","20372c09-4200-41ec-8609-c99fc9b6f4cb","30c35113-954e-4484-8f89-b273b22a9786","83c05f81-9caa-40e2-829c-98eba25f6eca"],"responses":{"200":"76d493dd-41ca-4161-8793-162ec30f40ca","422":"4e5528ba-aecb-45e9-9017-49f087dc4be4"},"method":"get","type":"path","servers":["12eeaad7-a736-4c47-a9e3-769b0001ffb2"],"path":"/v5/rubrics/{rubric_id}/criteria/{rubric_criteria_id}/versions","baseUrlOptions":["https://api.egp.scale.com"],"title":"List criterion versions","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"db748820-7222-4a19-8fa0-520fb5fe8c55":{"name":"rubric_id","in":"path","required":true,"schema":{"title":"Rubric Id","type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}},"88bad4c6-2ea6-445a-a3dd-555722f3739c":{"name":"rubric_criteria_id","in":"path","required":true,"schema":{"type":"string","title":"Rubric Criteria Id","isRequired":true,"uniqueKey":"","typeLabel":"string"}},"0d31feb3-ffc7-4537-99db-fd5c8294dd77":{"name":"starting_after","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Starting After","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Starting After","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"}},"058cde99-20aa-4280-8eef-06b972b5cd03":{"name":"ending_before","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Ending Before","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Ending Before","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"}},"c6f79a33-6901-4a0f-942b-82d7b51aad43":{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":10000,"minimum":1,"default":100,"title":"Limit","isRequired":false,"uniqueKey":"","typeLabel":"integer"}},"20372c09-4200-41ec-8609-c99fc9b6f4cb":{"name":"sort_by","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Sort By","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Sort By","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"}},"30c35113-954e-4484-8f89-b273b22a9786":{"name":"sort_order","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"SortOrder","default":"asc","enum":["asc","desc"],"uniqueKey":"oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","title":"Sort Order","default":"asc","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"enum\u003cstring> | null"}},"83c05f81-9caa-40e2-829c-98eba25f6eca":{"name":"x-selected-account-id","in":"header","required":false,"schema":{"oneOf":[{"type":"string","title":"Account ID Header","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Account ID Header","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"}}},"responses":{"76d493dd-41ca-4161-8793-162ec30f40ca":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"items":{"items":{"properties":{"id":{"type":"string","title":"Id","isRequired":true,"uniqueKey":"\\items.items.[INDEX].id","typeLabel":"string"},"rubric_id":{"title":"Rubric Id","type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].rubric_id","typeLabel":"string"},"version":{"type":"integer","title":"Version","isRequired":true,"uniqueKey":"\\items.items.[INDEX].version","typeLabel":"integer"},"title":{"type":"string","title":"Title","isRequired":true,"uniqueKey":"\\items.items.[INDEX].title","typeLabel":"string"},"created_at":{"type":"string","format":"date-time","title":"Created At","isRequired":true,"uniqueKey":"\\items.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"object":{"type":"string","const":"rubric_criteria","title":"Object","default":"rubric_criteria","uniqueKey":"\\items.items.[INDEX].object","typeLabel":"string"},"weight":{"title":"Weight","type":"number","uniqueKey":"\\items.items.[INDEX].weight","typeLabel":"number"},"annotations":{"title":"Annotations","additionalProperties":true,"type":"object","uniqueKey":"\\items.items.[INDEX].annotations","typeLabel":"Annotations · object"}},"type":"object","required":["id","rubric_id","version","title","created_at"],"uniqueKey":"\\items.items.[INDEX]","typeLabel":"object"},"type":"array","title":"Items","isRequired":true,"uniqueKey":"\\items","typeLabel":"Items · object[]"},"total":{"type":"integer","title":"Total","description":"The total of items that match the query. This is greater than or equal to the number of items returned.","isRequired":true,"uniqueKey":"total","typeLabel":"integer"},"has_more":{"type":"boolean","title":"Has More","description":"Whether there are more items left to be fetched.","isRequired":true,"uniqueKey":"has_more","typeLabel":"boolean"},"object":{"type":"string","const":"list","title":"Object","default":"list","uniqueKey":"object","typeLabel":"string"},"limit":{"type":"integer","title":"Limit","description":"The maximum number of items to return.","default":100,"uniqueKey":"limit","typeLabel":"integer"}},"type":"object","required":["items","total","has_more"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"items":[{"id":"\u003cstring>","rubric_id":"\u003cstring>","version":123,"title":"\u003cstring>","created_at":"2023-11-07T05:31:56Z","object":"rubric_criteria","weight":123,"annotations":{}}],"total":123,"has_more":true,"object":"list","limit":100}}},"exampleType":"generated"}},"exampleType":"generated"},"4e5528ba-aecb-45e9-9017-49f087dc4be4":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"title":"Error Type","type":"string","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"},"input":{"oneOf":[{"title":"Input"}],"uniqueKey":"detail.items.[INDEX].input","typeLabel":"any"},"ctx":{"type":"object","title":"Context","additionalProperties":true,"uniqueKey":"detail.items.[INDEX].ctx","typeLabel":"Context · object"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>","input":"\u003cunknown>","ctx":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"25c6ab98-f3e9-464c-b34d-48782661236d":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[]}}},"servers":{"12eeaad7-a736-4c47-a9e3-769b0001ffb2":{"url":"https://api.egp.scale.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[]},"schema":{"title":"x-api-key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"APIKeyHeader","name":"x-api-key"}],"title":"APIKeyHeader"}]},"originalFileLocation":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json"},"subdomain":"scalegp","siteName":"Scale AI","title":"List criterion versions - Scale AI","navMaps":{"firstHrefInVersion":{"V5":{"href":"/reference/v5/rubrics/list-criterion-versions","matchLevel":0},"V4 (legacy)":{"href":"/home","matchLevel":4}},"firstHrefInLanguage":{}},"lastModified":"2026-09-28T19:56:25.315Z","originalFileLocation":"reference/v5/rubrics/list-criterion-versions.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"List the full version history of a single criterion, paginated. Because criterion updates are append-only, this returns one entry per version, exposing every prior state of the criterion, ordered by version descending (newest first) by default. The request is rejected if the criterion does not belong to the rubric named in the path.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Scale AI\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List criterion versions - Scale AI\">\u003cmeta data-mint-head property=\"og:description\" content=\"List the full version history of a single criterion, paginated. Because criterion updates are append-only, this returns one entry per version, exposing every prior state of the criterion, ordered by version descending (newest first) by default. The request is rejected if the criterion does not belong to the rubric named in the path.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Scale AI\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.gp.scale.com/reference/v5/rubrics/list-criterion-versions\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://scalegp.mintlify.app/_mintlify/api/og/v2?division=Rubrics\u0026amp;title=List+criterion+versions\u0026amp;description=List+the+full+version+history+of+a+single+criterion%2C+paginated.%0A%0ABecause+criterion+updates+are+append-only%2C+this+returns+one+entry+per+version%2C%0Aexposing+every+p\u0026amp;theme=b7e87dd2f9a2a23155199f59\u0026amp;signature=7f4b6ba5b84c06c0619d38359be60cfc11c2f67d6b9712b4c84c733269dadbe9\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List criterion versions - Scale AI\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"List the full version history of a single criterion, paginated. Because criterion updates are append-only, this returns one entry per version, exposing every prior state of the criterion, ordered by version descending (newest first) by default. The request is rejected if the criterion does not belong to the rubric named in the path.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://scalegp.mintlify.app/_mintlify/api/og/v2?division=Rubrics\u0026amp;title=List+criterion+versions\u0026amp;description=List+the+full+version+history+of+a+single+criterion%2C+paginated.%0A%0ABecause+criterion+updates+are+append-only%2C+this+returns+one+entry+per+version%2C%0Aexposing+every+p\u0026amp;theme=b7e87dd2f9a2a23155199f59\u0026amp;signature=7f4b6ba5b84c06c0619d38359be60cfc11c2f67d6b9712b4c84c733269dadbe9\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/scalegp/UksUEh3sxckFW0X-/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Scale AI\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3f2e7b\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.gp.scale.com/reference/v5/rubrics/list-criterion-versions\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/v5/rubrics/list-criterion-versions.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.gp.scale.com/#organization\",\"name\":\"Scale AI\",\"url\":\"https://docs.gp.scale.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/scalegp/TBmst1qiYXwYqUB5/logo/light.png?fit=max\u0026auto=format\u0026n=TBmst1qiYXwYqUB5\u0026q=85\u0026s=46027042c16b373ac463148db5ad1d6b\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.gp.scale.com#website\",\"name\":\"Scale AI\",\"url\":\"https://docs.gp.scale.com\",\"publisher\":{\"@id\":\"https://docs.gp.scale.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.gp.scale.com/reference/v5/rubrics/list-criterion-versions#webpage\",\"url\":\"https://docs.gp.scale.com/reference/v5/rubrics/list-criterion-versions\",\"name\":\"List criterion versions\",\"description\":\"List the full version history of a single criterion, paginated. Because criterion updates are append-only, this returns one entry per version, exposing every prior state of the criterion, ordered by version descending (newest first) by default. The request is rejected if the criterion does not belong to the rubric named in the path.\",\"dateModified\":\"2026-09-28T19:56:25.315Z\",\"isPartOf\":{\"@id\":\"https://docs.gp.scale.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.gp.scale.com/reference/v5/rubrics/list-criterion-versions#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.gp.scale.com/reference/v5/rubrics/list-criterion-versions#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Rubrics\",\"item\":\"https://docs.gp.scale.com/reference/v5/rubrics/list-rubrics\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List criterion versions\",\"item\":\"https://docs.gp.scale.com/reference/v5/rubrics/list-criterion-versions\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.gp.scale.com/reference/v5/rubrics/list-criterion-versions#apireference\",\"headline\":\"List criterion versions\",\"name\":\"List criterion versions\",\"description\":\"List the full version history of a single criterion, paginated. Because criterion updates are append-only, this returns one entry per version, exposing every prior state of the criterion, ordered by version descending (newest first) by default. The request is rejected if the criterion does not belong to the rubric named in the path.\",\"url\":\"https://docs.gp.scale.com/reference/v5/rubrics/list-criterion-versions\",\"mainEntityOfPage\":{\"@id\":\"https://docs.gp.scale.com/reference/v5/rubrics/list-criterion-versions#webpage\"},\"dateModified\":\"2026-09-28T19:56:25.315Z\",\"publisher\":{\"@id\":\"https://docs.gp.scale.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.gp.scale.com#website\"}}]}\u003c/script>","siteName":"Scale AI","nav":{"global":null,"versions":[{"version":"V5","tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/docs/v5/overview"}]},{"tab":"AgentOps API","groups":[{"group":"Inference","pages":[{"title":"Run inference with free-form payload","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/inference","href":"/reference/v5/inference/run-inference-with-free-form-payload"},{"title":"Generate OpenAI chat completion from messages","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/chat/completions","href":"/reference/v5/inference/generate-openai-chat-completion-from-messages"},{"title":"Run OpenAI Responses API (OpenAI only)","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/responses","href":"/reference/v5/inference/run-openai-responses-api-openai-only"},{"title":"Generate legacy text completion from prompt","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/completions","href":"/reference/v5/inference/generate-legacy-text-completion-from-prompt"},{"title":"List available chat completion models","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/chat/completions/models","href":"/reference/v5/inference/list-available-chat-completion-models"}]},{"group":"Questions","pages":[{"title":"List questions","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/questions","href":"/reference/v5/questions/list-questions"},{"title":"Create a question","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/questions","href":"/reference/v5/questions/create-a-question"},{"title":"Get a question","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/questions/{question_id}","href":"/reference/v5/questions/get-a-question"},{"title":"Archive a question","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/questions/{question_id}","href":"/reference/v5/questions/archive-a-question"},{"title":"Update a question","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/questions/{question_id}","href":"/reference/v5/questions/update-a-question"},{"title":"Restore an archived question","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/questions/{question_id}/restore","href":"/reference/v5/questions/restore-an-archived-question"}]},{"group":"Rubrics","pages":[{"title":"List rubrics","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/rubrics","href":"/reference/v5/rubrics/list-rubrics"},{"title":"Create a rubric","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/rubrics","href":"/reference/v5/rubrics/create-a-rubric"},{"title":"Get a rubric","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/rubrics/{rubric_id}","href":"/reference/v5/rubrics/get-a-rubric"},{"title":"Archive a rubric","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/rubrics/{rubric_id}","href":"/reference/v5/rubrics/archive-a-rubric"},{"title":"Update or restore a rubric","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/rubrics/{rubric_id}","href":"/reference/v5/rubrics/update-or-restore-a-rubric"},{"title":"Add a criterion to a rubric","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/rubrics/{rubric_id}/criteria","href":"/reference/v5/rubrics/add-a-criterion-to-a-rubric"},{"title":"Update a criterion","description":"Apply a partial update to a criterion, creating a new version.\n\nUpdates are append-only: rather than overwriting the criterion in place, each\nupdate inserts a new immutable version with an incremented version number, so\nevery prior state stays available through the versions endpoint. Fields not\nsupplied are carried forward from the current version. The request is rejected\nif the criterion does not belong to the rubric named in the path.","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/rubrics/{rubric_id}/criteria/{rubric_criteria_id}","href":"/reference/v5/rubrics/update-a-criterion"},{"title":"List criterion versions","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/rubrics/{rubric_id}/criteria/{rubric_criteria_id}/versions","href":"/reference/v5/rubrics/list-criterion-versions"}]},{"group":"Vector Stores","pages":[{"title":"List Vector Stores","description":"List all vector stores in your account with pagination.\n\nReturns vector stores sorted by creation date (newest first). Each store includes its configuration,\nembedding model, dimensions, indexed fields, and timestamps.","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/vector-stores","href":"/reference/v5/vector-stores/list-vector-stores"},{"title":"Create Vector Store","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/vector-stores/create","href":"/reference/v5/vector-stores/create-vector-store"},{"title":"Get Vector Store","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/vector-stores/{vector_store_name}","href":"/reference/v5/vector-stores/get-vector-store"},{"title":"Configure Vector Store","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/vector-stores/{vector_store_name}/configure","href":"/reference/v5/vector-stores/configure-vector-store"},{"title":"Drop Vector Store","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/vector-stores/{vector_store_name}/drop","href":"/reference/v5/vector-stores/drop-vector-store"},{"title":"Upsert Vectors","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/vector-stores/{vector_store_name}/upsert","href":"/reference/v5/vector-stores/upsert-vectors"},{"title":"Delete Vectors","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/vector-stores/{vector_store_name}/delete","href":"/reference/v5/vector-stores/delete-vectors"},{"title":"List Vectors","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/vector-stores/{vector_store_name}/vectors","href":"/reference/v5/vector-stores/list-vectors"},{"title":"Get Vector","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/vector-stores/{vector_store_name}/vectors/{vector_id}","href":"/reference/v5/vector-stores/get-vector"},{"title":"Count Vectors","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/vector-stores/{vector_store_name}/count","href":"/reference/v5/vector-stores/count-vectors"},{"title":"Query Vectors","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/vector-stores/{vector_store_name}/query","href":"/reference/v5/vector-stores/query-vectors"}]},{"group":"Files","pages":[{"title":"List files","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/files","href":"/reference/v5/files/list-files"},{"title":"Upload a file","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/files","href":"/reference/v5/files/upload-a-file"},{"title":"Import files from cloud storage","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/files/cloud_imports","href":"/reference/v5/files/import-files-from-cloud-storage"},{"title":"Get file metadata","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/files/{file_id}","href":"/reference/v5/files/get-file-metadata"},{"title":"Delete a file","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/files/{file_id}","href":"/reference/v5/files/delete-a-file"},{"title":"Update a file","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/files/{file_id}","href":"/reference/v5/files/update-a-file"},{"title":"Download file content","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/files/{file_id}/content","href":"/reference/v5/files/download-file-content"}]},{"group":"Models","pages":[{"title":"List custom models","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/models","href":"/reference/v5/models/list-custom-models"},{"title":"Create a custom model","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/models","href":"/reference/v5/models/create-a-custom-model"},{"title":"Get a custom model","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/models/{model_id}","href":"/reference/v5/models/get-a-custom-model"},{"title":"Delete a custom model","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/models/{model_id}","href":"/reference/v5/models/delete-a-custom-model"},{"title":"Update a custom model","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/models/{model_id}","href":"/reference/v5/models/update-a-custom-model"}]},{"group":"Agent Configs","pages":[{"title":"List Agent Configs","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/agent_configs","href":"/reference/v5/agent-configs/list-agent-configs"},{"title":"Create Agent Config","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/agent_configs","href":"/reference/v5/agent-configs/create-agent-config"},{"title":"List MCP Tool Names","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/agent_configs/mcp_tools","href":"/reference/v5/agent-configs/list-mcp-tool-names"},{"title":"Get Agent Config","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/agent_configs/{agent_config_id}","href":"/reference/v5/agent-configs/get-agent-config"},{"title":"Delete Agent Config (hard delete)","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/agent_configs/{agent_config_id}","href":"/reference/v5/agent-configs/delete-agent-config-hard-delete"},{"title":"Update Agent Config","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/agent_configs/{agent_config_id}","href":"/reference/v5/agent-configs/update-agent-config"}]},{"group":"Datasets","pages":[{"title":"List datasets","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/datasets","href":"/reference/v5/datasets/list-datasets"},{"title":"Create a dataset","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/datasets","href":"/reference/v5/datasets/create-a-dataset"},{"title":"Get a dataset","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/datasets/{dataset_id}","href":"/reference/v5/datasets/get-a-dataset"},{"title":"Archive a dataset","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/datasets/{dataset_id}","href":"/reference/v5/datasets/archive-a-dataset"},{"title":"Update or restore a dataset","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/datasets/{dataset_id}","href":"/reference/v5/datasets/update-or-restore-a-dataset"}]},{"group":"Dataset Items","pages":[{"title":"Add items to an existing dataset","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/dataset-items/batch","href":"/reference/v5/dataset-items/add-items-to-an-existing-dataset"},{"title":"Get a dataset item","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/dataset-items/{dataset_item_id}","href":"/reference/v5/dataset-items/get-a-dataset-item"},{"title":"Delete a dataset item","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/dataset-items/{dataset_item_id}","href":"/reference/v5/dataset-items/delete-a-dataset-item"},{"title":"Update a dataset item","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/dataset-items/{dataset_item_id}","href":"/reference/v5/dataset-items/update-a-dataset-item"},{"title":"List dataset items","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/dataset-items","href":"/reference/v5/dataset-items/list-dataset-items"}]},{"group":"Evaluations","pages":[{"title":"List Evaluations","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/evaluations","href":"/reference/v5/evaluations/list-evaluations"},{"title":"Create Evaluation","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/evaluations","href":"/reference/v5/evaluations/create-evaluation"},{"title":"Get Evaluation","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/evaluations/{evaluation_id}","href":"/reference/v5/evaluations/get-evaluation"},{"title":"Archive Evaluation","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/evaluations/{evaluation_id}","href":"/reference/v5/evaluations/archive-evaluation"},{"title":"Update or Restore Evaluation","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/evaluations/{evaluation_id}","href":"/reference/v5/evaluations/update-or-restore-evaluation"},{"title":"Add Test Criteria to Evaluation","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/evaluations/{evaluation_id}/tasks","href":"/reference/v5/evaluations/add-test-criteria-to-evaluation"},{"title":"Update Test Criteria Configuration","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/evaluations/{evaluation_id}/tasks/{alias}","href":"/reference/v5/evaluations/update-test-criteria-configuration"},{"title":"Get Available Metadata Keys","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/evaluations/metadata-keys","href":"/reference/v5/evaluations/get-available-metadata-keys"},{"title":"Get Available Evaluation Statuses","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/evaluations/statuses","href":"/reference/v5/evaluations/get-available-evaluation-statuses"},{"title":"Get Evaluation Data Schema","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/evaluations/{evaluation_id}/schema","href":"/reference/v5/evaluations/get-evaluation-data-schema"},{"title":"Get Evaluation Taxonomy","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/evaluations/{evaluation_id}/taxonomy","href":"/reference/v5/evaluations/get-evaluation-taxonomy"},{"title":"Filter Evaluations","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/evaluations/filter","href":"/reference/v5/evaluations/filter-evaluations"},{"title":"Dry-run a custom-function evaluation task","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/evaluations/tasks/dry-run","href":"/reference/v5/evaluations/dry-run-a-custom-function-evaluation-task"}]},{"group":"Evaluation Groups","pages":[{"title":"List Evaluation Groups","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/evaluation-groups","href":"/reference/v5/evaluation-groups/list-evaluation-groups"},{"title":"Create Evaluation Group","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/evaluation-groups","href":"/reference/v5/evaluation-groups/create-evaluation-group"},{"title":"Get Evaluation Group","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/evaluation-groups/{group_id}","href":"/reference/v5/evaluation-groups/get-evaluation-group"},{"title":"Update Evaluation Group","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json put /v5/evaluation-groups/{group_id}","href":"/reference/v5/evaluation-groups/update-evaluation-group"},{"title":"Archive Evaluation Group","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/evaluation-groups/{group_id}","href":"/reference/v5/evaluation-groups/archive-evaluation-group"},{"title":"Patch Evaluation Group","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/evaluation-groups/{group_id}","href":"/reference/v5/evaluation-groups/patch-evaluation-group"},{"title":"Get Evaluation Group Schema","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/evaluation-groups/{group_id}/schema","href":"/reference/v5/evaluation-groups/get-evaluation-group-schema"}]},{"group":"Evaluation Charts","pages":[{"title":"List Evaluation Charts","deprecated":true,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/evaluation-charts","href":"/reference/v5/evaluation-charts/list-evaluation-charts"},{"title":"Create Evaluation Chart","deprecated":true,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/evaluation-charts","href":"/reference/v5/evaluation-charts/create-evaluation-chart"},{"title":"Get Evaluation Chart","deprecated":true,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/evaluation-charts/{chart_id}","href":"/reference/v5/evaluation-charts/get-evaluation-chart"},{"title":"Replace Evaluation Chart","deprecated":true,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json put /v5/evaluation-charts/{chart_id}","href":"/reference/v5/evaluation-charts/replace-evaluation-chart"},{"title":"Delete Evaluation Chart","deprecated":true,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/evaluation-charts/{chart_id}","href":"/reference/v5/evaluation-charts/delete-evaluation-chart"},{"title":"Patch Evaluation Chart","deprecated":true,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/evaluation-charts/{chart_id}","href":"/reference/v5/evaluation-charts/patch-evaluation-chart"}]},{"group":"Evaluation Dashboards","pages":[{"title":"List Evaluation Dashboards","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/evaluation-dashboards","href":"/reference/v5/evaluation-dashboards/list-evaluation-dashboards"},{"title":"Create Evaluation Dashboard","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/evaluation-dashboards","href":"/reference/v5/evaluation-dashboards/create-evaluation-dashboard"},{"title":"Get Evaluation Dashboard","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/evaluation-dashboards/{dashboard_id}","href":"/reference/v5/evaluation-dashboards/get-evaluation-dashboard"},{"title":"Delete Evaluation Dashboard","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/evaluation-dashboards/{dashboard_id}","href":"/reference/v5/evaluation-dashboards/delete-evaluation-dashboard"},{"title":"Patch Evaluation Dashboard","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/evaluation-dashboards/{dashboard_id}","href":"/reference/v5/evaluation-dashboards/patch-evaluation-dashboard"},{"title":"Add Widget to Dashboard","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/evaluation-dashboards/{dashboard_id}/widgets","href":"/reference/v5/evaluation-dashboards/add-widget-to-dashboard"},{"title":"Remove Widget from Dashboard","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/evaluation-dashboards/{dashboard_id}/widgets/{widget_id}","href":"/reference/v5/evaluation-dashboards/remove-widget-from-dashboard"},{"title":"Update Dashboard Widget","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/evaluation-dashboards/{dashboard_id}/widgets/{widget_id}","href":"/reference/v5/evaluation-dashboards/update-dashboard-widget"}]},{"group":"Evaluation Items","pages":[{"title":"Get a single evaluation item","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/evaluation-items/{evaluation_item_id}","href":"/reference/v5/evaluation-items/get-a-single-evaluation-item"},{"title":"List and filter evaluation items","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/evaluation-items","href":"/reference/v5/evaluation-items/list-and-filter-evaluation-items"},{"title":"Export evaluation items to a file","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/evaluation-items/export","href":"/reference/v5/evaluation-items/export-evaluation-items-to-a-file"}]},{"group":"Spans","pages":[{"title":"Create a span","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/spans","href":"/reference/v5/spans/create-a-span"},{"title":"Upsert spans in a batch","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json put /v5/spans/batch","href":"/reference/v5/spans/upsert-spans-in-a-batch"},{"title":"Create spans in a batch","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/spans/batch","href":"/reference/v5/spans/create-spans-in-a-batch"},{"title":"List trace deletion requests","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/spans/deletions","href":"/reference/v5/spans/list-trace-deletion-requests"},{"title":"Create trace deletion request","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/spans/deletions","href":"/reference/v5/spans/create-trace-deletion-request"},{"title":"Get trace deletion request status","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/spans/deletions/{deletion_request_id}","href":"/reference/v5/spans/get-trace-deletion-request-status"},{"title":"Get a span","deprecated":true,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/spans/{span_id}","href":"/reference/v5/spans/get-a-span"},{"title":"Update a span","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/spans/{span_id}","href":"/reference/v5/spans/update-a-span"},{"title":"Get a span within a trace","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/traces/{trace_id}/spans/{span_id}","href":"/reference/v5/spans/get-a-span-within-a-trace"},{"title":"List span summaries for a trace","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/traces/{trace_id}/spans","href":"/reference/v5/spans/list-span-summaries-for-a-trace"},{"title":"Search spans","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/spans/search","href":"/reference/v5/spans/search-spans"},{"title":"Export spans","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/spans/export","href":"/reference/v5/spans/export-spans"},{"title":"Get span export status","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/spans/export/{export_id}","href":"/reference/v5/spans/get-span-export-status"},{"title":"Get time-bucketed span metrics","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/spans/metrics","href":"/reference/v5/spans/get-time-bucketed-span-metrics"},{"title":"Get span metrics grouped by name","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/spans/metrics/by-span","href":"/reference/v5/spans/get-span-metrics-grouped-by-name"}]},{"group":"Span Assessment","pages":[{"title":"List span or trace assessments","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/span-assessments","href":"/reference/v5/span-assessment/list-span-or-trace-assessments"},{"title":"Create span assessment","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/span-assessments","href":"/reference/v5/span-assessment/create-span-assessment"},{"title":"Get span assessment by ID","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/span-assessments/{span_assessment_id}","href":"/reference/v5/span-assessment/get-span-assessment-by-id"},{"title":"Permanently delete span assessment","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/span-assessments/{span_assessment_id}","href":"/reference/v5/span-assessment/permanently-delete-span-assessment"},{"title":"Update span assessment","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/span-assessments/{span_assessment_id}","href":"/reference/v5/span-assessment/update-span-assessment"}]},{"group":"Annotation Tasks","pages":[{"title":"Update or assign annotation tasks in bulk","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/annotation-tasks/batch","href":"/reference/v5/annotation-tasks/update-or-assign-annotation-tasks-in-bulk"}]},{"group":"Credentials","pages":[{"title":"List Credentials","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/credentials","href":"/reference/v5/credentials/list-credentials"},{"title":"Create Credential","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/credentials","href":"/reference/v5/credentials/create-credential"},{"title":"Get Credential by Name","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/credentials/name/{credential_name}","href":"/reference/v5/credentials/get-credential-by-name"},{"title":"Get Credential by ID","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/credentials/{credential_id}","href":"/reference/v5/credentials/get-credential-by-id"},{"title":"Delete Credential","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/credentials/{credential_id}","href":"/reference/v5/credentials/delete-credential"},{"title":"Update Credential","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/credentials/{credential_id}","href":"/reference/v5/credentials/update-credential"},{"title":"Get Credential Secret by ID","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/credentials/{credential_id}/secret","href":"/reference/v5/credentials/get-credential-secret-by-id"},{"title":"Get Credential Secret by Name","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/credentials/name/{credential_name}/secret","href":"/reference/v5/credentials/get-credential-secret-by-name"}]},{"group":"Agentex Cloud Build","pages":[{"title":"List container image builds","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/builds","href":"/reference/v5/agentex-cloud-build/list-container-image-builds"},{"title":"Submit container image build","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/builds","href":"/reference/v5/agentex-cloud-build/submit-container-image-build"},{"title":"List agents built but not deployed","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/builds/undeployed","href":"/reference/v5/agentex-cloud-build/list-agents-built-but-not-deployed"},{"title":"Get a build","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/builds/{build_id}","href":"/reference/v5/agentex-cloud-build/get-a-build"},{"title":"Stream build logs","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/builds/{build_id}/logs","href":"/reference/v5/agentex-cloud-build/stream-build-logs"},{"title":"Cancel a build","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/builds/{build_id}/cancel","href":"/reference/v5/agentex-cloud-build/cancel-a-build"}]},{"group":"Agentex Cloud Deploy","pages":[{"title":"List agent deployments","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/agentex/deployments","href":"/reference/v5/agentex-cloud-deploy/list-agent-deployments"},{"title":"Deploy a built agent image","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/agentex/deployments","href":"/reference/v5/agentex-cloud-deploy/deploy-a-built-agent-image"},{"title":"Get an agent deployment","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/agentex/deployments/{deployment_id}","href":"/reference/v5/agentex-cloud-deploy/get-an-agent-deployment"},{"title":"Delete and tear down a deployment","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/agentex/deployments/{deployment_id}","href":"/reference/v5/agentex-cloud-deploy/delete-and-tear-down-a-deployment"},{"title":"Get agent deployment logs","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/agentex/deployments/{deployment_id}/logs","href":"/reference/v5/agentex-cloud-deploy/get-agent-deployment-logs"}]},{"group":"Agentex Agent","pages":[{"title":"Delete Agent","deprecated":null,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/agentex/agents/{agent_id}","href":"/reference/v5/agentex-agent/delete-agent"}]},{"group":"SGP Cloud Secrets","pages":[{"title":"List Secrets","deprecated":true,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/sgp/secrets","href":"/reference/v5/sgp-cloud-secrets/list-secrets"},{"title":"Create Secret","deprecated":true,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json post /v5/sgp/secrets","href":"/reference/v5/sgp-cloud-secrets/create-secret"},{"title":"Get Secret","deprecated":true,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/sgp/secrets/{secret_id}","href":"/reference/v5/sgp-cloud-secrets/get-secret"},{"title":"Delete Secret","deprecated":true,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json delete /v5/sgp/secrets/{secret_id}","href":"/reference/v5/sgp-cloud-secrets/delete-secret"},{"title":"Update Secret","deprecated":true,"version":null,"openapi":"https://api.sgp.scale.com/openapi-versions/v5/openapi.json patch /v5/sgp/secrets/{secret_id}","href":"/reference/v5/sgp-cloud-secrets/update-secret"}]}]},{"tab":"AgentOps SDK","href":"https://scaleapi.github.io/sgp-sdk-docs/api/python/"},{"tab":"Agentex API","pages":[{"title":"Agentex API","href":"/reference/agentex/agents/get-agent-by-id"}]},{"tab":"Agentex SDK","href":"https://scaleapi.github.io/agentex-sdk-docs/api/python/"},{"tab":"Capabilities","pages":[{"title":"Capabilities","href":"/docs/capabilities/overview"}]},{"tab":"Dex API","pages":[{"title":"Dex API","href":"/reference/dex/projects/list-projects"}]}]},{"version":"V4 (legacy)","pages":[{"title":"V4 (legacy)","href":"/home"}]}]},"title":"List criterion versions - Scale AI","buildId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","deploymentId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DmVyH30O.js","utils-BHQqGGOd.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CD-E4BIt.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp5Lq9Ds.js","snippetPresets-C4xAVCFP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CgXVLxUC.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BF8I5oUf.js","shallow-Byd0lWnC.js","getApiPlaygroundDisplay-BGOZG1OK.js","CodeSnippet-CpvQL0CY.js","CodeSnippets-B8wkBKXa.js","Page-CBCH2P7b.js","getPastedJson-Ry3scI3Y.js","icon-D7a9HcdD.js","MethodPill-CJ8pmHhz.js","DuplicateIcon-rh1HJF0t.js","createIcon-DvGznqYs.js","DynamicMarkdown-Cc6AuSHS.js","SectionHeading-B4A0S-ep.js","axios-vUo_bRtp.js","Markdown-Cc16CX65.js","clsx-Cs6nMGht.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-zbf22OZA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-C_fs-y5n.js"]}